# phpDox - Query\ConnectionManager::connect

# Query\ConnectionManager::connect

#### Parse the passed parameters and return a connection

## Signature

`public function connect(array|object $params )`

## Parameters

`$params` — object

## Returns

QueryBuilderInterface

## Errors/Exceptions

`BadDBDriverException`

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
129 | UndefinedVariable | Avoid using undefined variables such as '$dsn' which will lead to PHP notices.
129 | UndefinedVariable | Avoid using undefined variables such as '$options' which will lead to PHP notices.
135 | ShortVariable | Avoid variables with short names like $db. Configured minimum length is 3.
136 | UndefinedVariable | Avoid using undefined variables such as '$dsn' which will lead to PHP notices.
136 | UndefinedVariable | Avoid using undefined variables such as '$options' which will lead to PHP notices.
137 | UndefinedVariable | Avoid using undefined variables such as '$dsn' which will lead to PHP notices.
137 | UndefinedVariable | Avoid using undefined variables such as '$options' which will lead to PHP notices.
155 - 157 | ElseExpression | The method connect uses an else expression. Else clauses are basically not necessary and you can simplify the code by not using them.